> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a summary by id

> Retrieve a summary by its id.



## OpenAPI

````yaml /api-reference/hermes.yml get /ai/v1/summaries/{summaryId}
openapi: 3.1.0
info:
  title: AI Engine
  description: Turn data into health intelligence
  version: 1.0.0
servers:
  - url: https://api.{workspaceId}.clinia.cloud
    variables:
      workspaceId:
        default: ''
        description: The workspace id.
security: []
paths:
  /ai/v1/summaries/{summaryId}:
    get:
      tags:
        - Summaries
      summary: Get a summary by id
      description: Retrieve a summary by its id.
      parameters:
        - in: path
          name: summaryId
          schema:
            type: string
            description: The summary id to retrieve.
          required: true
          description: The summary id to retrieve.
        - in: header
          name: x-user-id
          schema:
            type: string
          required: false
          description: >-
            The ID of the user making the request. Used to associate the request
            with a specific user.
      responses:
        '200':
          description: The requested summary
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  patientId:
                    type: string
                  summaryTemplateId:
                    type:
                      - string
                      - 'null'
                  content:
                    type: string
                required:
                  - id
                  - createdAt
                  - patientId
                  - summaryTemplateId
                  - content
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 400
                type: INVALID_ARGUMENT
                message: Invalid request parameters
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 401
                type: UNAUTHENTICATED
                message: Unauthenticated
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 403
                type: PERMISSION_DENIED
                message: Permission denied
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 404
                type: NOT_FOUND
                message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              example:
                code: 500
                type: INTERNAL
                message: Internal Server Error
components:
  schemas:
    ApiError:
      type: object
      properties:
        code:
          type: number
          exclusiveMinimum: 0
        type:
          type: string
          enum:
            - ALREADY_EXISTS
            - FAILED_PRECONDITION
            - INTERNAL
            - INVALID_ARGUMENT
            - NOT_FOUND
            - OUT_OF_RANGE
            - UNIMPLEMENTED
            - UNAUTHENTICATED
            - PERMISSION_DENIED
            - CONTENT_TOO_LARGE
            - UNSUPPORTED_MEDIA_TYPE
        message:
          type: string
      required:
        - code
        - type
        - message

````